# Uses of Interface
org.opensaml.saml.saml1.core.AttributeQuery

Packages that use AttributeQuery
Package
Description
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of AttributeQuery in org.opensaml.saml.common.messaging.context

Methods in org.opensaml.saml.common.messaging.context with parameters of type AttributeQuery
Modifier and Type
Method
Description
`protected String`
SAMLPeerEntityContext.`processSaml1AttributeQuery(AttributeQuery query)`
Resolve the SAML entity ID from a SAML 1 AttributeQuery.

## Uses of AttributeQuery in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return AttributeQuery
Modifier and Type
Method
Description
`AttributeQuery`
Request.`getAttributeQuery()`
Get the request AttributeQuery.

## Uses of AttributeQuery in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement AttributeQuery
Modifier and Type
Class
Description
`class`
`AttributeQueryImpl`
Concrete implementation of the `AttributeQuery` interface.
Methods in org.opensaml.saml.saml1.core.impl that return AttributeQuery
Modifier and Type
Method
Description
`AttributeQuery`
AttributeQueryBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AttributeQuery`
AttributeQueryBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`AttributeQuery`
RequestImpl.`getAttributeQuery()`
Get the request AttributeQuery.